Package org.eclipse.emf.cdo.spi.server

# Class AbstractAppExtension

java.lang.Object
org.eclipse.emf.cdo.spi.server.AbstractAppExtension

All Implemented Interfaces:
  `IAppExtension`, `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.ParameterAware`

Direct Known Subclasses:
  `AppExtension`

public abstract class AbstractAppExtension extends Object implements org.eclipse.net4j.util.container.IManagedContainerProvider, org.eclipse.net4j.util.container.IManagedContainer.ContainerAware, org.eclipse.net4j.util.ParameterAware, IAppExtension

Since:
  4.20
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Constructor Summary

Constructors
Constructor
Description
`AbstractAppExtension()`

## Method Summary

Modifier and Type
Method
Description
`protected final String`
`getAttribute(Element element, String name)`
`final org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`protected final Document`
`getDocument(File configFile)`
`final Map<String,String>`
`getParameters()`
`protected final InternalRepository`
`getRepository(IRepository[] repositories, String name)`
`final void`
`setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)`
`final void`
`setParameters(Map<String,String> parameters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`start, stop`

## Constructor Details

### AbstractAppExtension

public AbstractAppExtension()

## Method Details

### getContainer

public final org.eclipse.net4j.util.container.IManagedContainer getContainer()

Specified by:
  `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

### setManagedContainer

public final void setManagedContainer(org.eclipse.net4j.util.container.IManagedContainer container)

Specified by:
  `setManagedContainer` in interface `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`

### getParameters

public final Map<String,String> getParameters()

### setParameters

public final void setParameters(Map<String,String> parameters)

Specified by:
  `setParameters` in interface `org.eclipse.net4j.util.ParameterAware`

### getDocument

protected final Document getDocument(File configFile) throws ParserConfigurationException, SAXException, IOException

Throws:
  `ParserConfigurationException`
  `SAXException`
  `IOException`

### getAttribute

protected final String getAttribute(Element element, String name)

### getRepository

protected final InternalRepository getRepository(IRepository[] repositories, String name)